Google Takes Ownership of HTC EVO 4G LTE Google Wallet Woes

Posted by at 11:44 am on June 22, 2012

Google has confirmed that a software glitch within the near-field communications component of the HTC EVO 4G LTE is preventing some owners from using Google Wallet.

The device is generating error messages that said the device or the carrier isn’t compatible with the Google Wallet service. Google said the problem can be fixed with a software update, and that it is working with Sprint and HTC to clear up the issue. Google didn’t provide a timeline for the repair.

Leave a Reply

Sign Up For Our Newsletter

Sign up to receive breaking news
as well as receive other site updates

Enter your Email


Preview | Powered by FeedBlitz

Log in

Copyright © 2008 - 2020 · StreetCorner Media , LLC· All Rights Reserved ·